PATCH /v1/organizations/{orgId}/knowledge/{id}/pin
Pin or unpin a knowledge entry. Pinned entries are excluded from auto-pruning.

Path Parameters

orgId string required path
Organization ID
id string required path
Knowledge entry ID

Request Body required

Pin state

application/json
pinned boolean

Responses

200 OK

No response body

curl -X PATCH 'https://api.example.com/v1/organizations/string/knowledge/string/pin' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{  "pinned": true}'
const response = await fetch('https://api.example.com/v1/organizations/string/knowledge/string/pin', {  method: 'PATCH',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({    "pinned": true  })});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.example.com/v1/organizations/string/knowledge/string/pin', headers=headers, json={  "pinned": true})print(response.json())
package mainimport (	"fmt"	"io"	"net/http"	"strings")func main() {	body := strings.NewReader(`{  "pinned": true}`)	req, _ := http.NewRequest("PATCH", "https://api.example.com/v1/organizations/string/knowledge/string/pin", body)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	req.Header.Set("Content-Type", "application/json")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
Ask a question... ⌘I